@use "../../../../scss/vars";

:host {
  position: relative;
  display: block;
  border-radius: .5rem 0 0 .5rem;
  overflow: hidden;
  color: vars.$color-grey-100;
}

.text {
  display: flex;
  align-items: center;
  position: relative;
  z-index: 1;
  padding: .432rem .75rem;

  &-bg {
    background-color: vars.$color-orange-200;
  }
}

.tiny {
  font-size: vars.$font-size-small;
  line-height: vars.$line-height-small;
  color: vars.$color-orange-100;
}

.bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.space-right {
  margin-right: .5rem;
}
